Package ru.bitel.bgbilling.modules.voice.common.bean

# Class VoiceSessionLog

java.lang.Object
ru.bitel.common.model.ContractId
ru.bitel.bgbilling.modules.voice.common.bean.VoiceSession
ru.bitel.bgbilling.modules.voice.common.bean.VoiceSessionLog

All Implemented Interfaces:
  `ContractIdable`

public class VoiceSessionLog extends VoiceSession
завершенная сессия

- ## Field Summary

  ### Fields inherited from class ru.bitel.bgbilling.modules.voice.common.bean.VoiceSession

  `CALL_TYPE_INCOMING, CALL_TYPE_OUTGOING, SESSION_TYPE_ADDITINAL, SESSION_TYPE_OPERATOR`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `VoiceSessionLog()`

- ## Method Summary

  ### Methods inherited from class ru.bitel.bgbilling.modules.voice.common.bean.VoiceSession

  `getAccountId, getAccountMap, getAccountTitle, getAcctSessionId, getCalledStationId, getCallingStationId, getCallType, getCdrCallCost, getCdrCallOperCost, getCodeId, getContractComment, getContractTitle, getCostMapItemId, getDestinationId, getDeviceId, getE164CalledStationId, getE164CallingStationId, getFromPort, getHour, getId, getIdentifier, getLastActive, getMinuteCost, getOperatorId, getParentId, getRoundedSessionTime, getServiceId, getSessionCost, getSessionStart, getSessionStop, getSessionTime, getToPort, getType, getZoneId, setAccountId, setAccountMap, setAccountTitle, setAcctSessionId, setCalledStationId, setCallingStationId, setCallType, setCdrCallCost, setCdrCallOperCost, setCodeId, setContractComment, setContractId, setContractTitle, setCostMapItemId, setDestinationId, setDeviceId, setE164CalledStationId, setE164CallingStationId, setFromPort, setHour, setId, setIdentifier, setLastActive, setMinuteCost, setOperatorId, setParentId, setRoundedSessionTime, setServiceId, setSessionCost, setSessionStart, setSessionStop, setSessionTime, setToPort, setType, setZoneId, toString`

  ### Methods inherited from class ru.bitel.common.model.ContractId

  `getContractId`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- ## Constructor Details

  - ### VoiceSessionLog

    public VoiceSessionLog()